SET(HDRS
	${HDRS}
	${CMAKE_CURRENT_SOURCE_DIR}/RandomNumberGenerator.h
	${CMAKE_CURRENT_SOURCE_DIR}/WeightedRandomGenerator.h
	${CMAKE_CURRENT_SOURCE_DIR}/RandomBinaryFunction.h
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/RandomNumberGenerator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/RandomBinaryFunction.cpp
	PARENT_SCOPE
)

set(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
